Subject: bug#43716: 28.0.50; Error with emacsclient <file>:

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Sep 2020 15:03:19 +0200

Tassilo Horn <[email-masked]> writes:

> Since today, emacsclient file.txt errors with
>
>   *ERROR*: Wrong number of arguments: (1 . 4), 5
>
> That seems to happen after commit:
>
>   7f2c35d028 Fix emacsclient -c foo.txt behaviour with many frames
>
> I've tried M-x toggle-debug-on-error RET in the Emacs instance running
> the server but still I don't get a backtrace buffer.

I'm unable to reproduce this problem on the current trunk.

Has your server Emacs been restarted from a rebuilt tree?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no